Skip to main content
POST
Create a folder in a writable Storage workspace.

Authorizations

Authorization
string
header
required

Bearer JWT token or API Key (sk-*).

Path Parameters

workspaceId
string
required

Body

application/json
name
string
required

Folder name.

parentStorageEntryId
string

Parent folder id. Omit for root.

storageProviderConfigId
string

Optional configured storage id for root-level folders. Omit for managed default storage. Ignored when parentStorageEntryId is provided.

metadata
object

Folder metadata. Values may use any JSON type. Maximum 16 KiB and 64 top-level keys. Top-level keys starting with "__" are reserved for backend use.

refId
string

Optional external reference id.

refType
string

Optional external reference type.

refVer
number

Optional external reference version.

restricted
boolean

Whether this folder is restricted to the provided users/groups.

groups
string[]

Explicit allowed group ids when restricted.

users
string[]

Explicit allowed user ids when restricted.

Response

200

OK.

Last modified on September 5, 2026